esp8266 library and macos system

My new computer has a Mac system and I downloaded the zip file of esp8266 library by esp community. But when I pushed the library add button there was a invalid zip file error. My problem is that. Is there anyone who can help me? I know ıt's too simple. It was simple at the windows for me too.

The reason you got that error is because it's not a library. It's a boards platform, which requires a completely different installation method.

Please follow the instructions here:

NOTE: only follow the instructions under "Installing with Boards Manager". When you get to the part that says "Using git version", STOP!!! The "Using git version" instructions are for an alternative installation method that should only be used by developers. You only need to install via one method.

Thank you. I did it.

You're welcome. I'm glad if I was able to be of assistance. Enjoy!
Per